html {
    scroll-behavior: smooth;
}

body{
    margin: 0px;
    font-family: "Roboto";
    font-size: 16px;
    font-weight: 400;
}

.navbar{
    background: transparent;
    transition: 0.3s;
}
.logo img{
    height: 45px;
}

.navbar.scrolled{
    background: white;
}

.navbar .nav-link{
    color: white;
}

.navbar.scrolled .nav-link{
    color: black;
}

.navbar .nav-link:hover{
    color:#FF305B;
}
.nav-links .active{
    color: #FF305B !important;
}


.header{
    background-image: linear-gradient(rgba(0,0,0,0.8),rgba(0,0,0,0.8)), url(../images/slider-02.jpg);
    background-size: cover;
    background-position: center;
    height: 100svh;
    display: flex;
    justify-content: center;
    align-items: center;
}


.header_caption{
    color: white;
    font-family: "Source Sans 3";
    font-size: 24px;
    font-weight: 600;
    line-height: 20px;
    
}
.header_caption h1{
    font-size: 70px;
    font-weight: 700;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FF305B;
}
.typing{
    font-size: 26px;
    font-weight: 300;
    gap: 8px;
    display: flex;
    justify-content: center;
}
.changing-word{
    position: relative;
    overflow: hidden;
}
.changing-word::after{
    content: " Developer";
    border-right: 2px solid white;
    display: block;
    animation: type 4s linear infinite,
               switchWord 8s infinite;
}

@keyframes type{
    0%   { width: 0; }      
    20%  { width: 9ch; } 
    70%  { width: 9ch; }  
    90%  { width: 0;}  
    100% { width: 0; }  
}


@keyframes switchWord {
    0%,49%{
        content: " Developer";
    }
    50%, 100%{
        content: " Designer";
    }
    
}
.header_caption p{
    display: flex;
    justify-content: center;
    align-items: center;
}


@media screen and (max-width:576px){
    html, body {
        margin: 0;
        padding: 0;
        overflow-x: hidden;
    }
    .navbar{
       display: flex;
       justify-content: center;
       margin-left: 0;
    }
    .logo img{
       display: none;
    }
    .nav-links{
        margin-left: clamp(160px, 3vw, 195px);  
    }
    .nav-links li{
        font-weight: 300;
        padding: 10px 5px;
        font-size: clamp(10px, 2vw, 16px);  
    }

    .header{
        width: 100%;
        height: 100svh;
        max-height: 100svh;
        margin-top: 0;
        text-align: center;
    }
  
    .header_caption h1 {
        font-size: clamp(24px, 8vw, 70px);
        line-height: 1.2;
    }

    .header_caption {
        font-size: clamp(16px, 4vw, 24px);
        text-align: center;
    }

    .typing {
        font-size: clamp(14px, 3vw, 26px);
    }
    
    .changing-word{
        height: 30px;
    }

    
}

/* ---------------------------------------------------------- */
.section2{
    height: 650px;
    position: relative;
    display: flex;
    align-items: center;
    margin-left: 270px;

}
.frame{
    position: absolute;
    width: 330px;
    height: 320px;
    margin: 0 0 70px 0 ;
    background-color: transparent;
    border: 9px solid #555555;
    border-radius: 6px;
}
.sec2{
    margin: 0 0 40px 100px;
}
.img-sec2 {
    position: relative;
    width: 350px;
    display: flex;
    overflow: hidden; 
    border-radius: 6px;
    margin-left: 30px;

}
.img-sec2 img {
    display: flex;
    width: 100%;
    height: auto;
    z-index: 2;
}
.img-sec2 .overlay {
    position: absolute;
    top: 0;
    left: 0;      
    width: 100%;     
    height: 100%;
    background: rgba(0,0,0,0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateY(100%); 
    transition: transform 0.3s ease;
    z-index: 3;
}

.img-sec2:hover .overlay {
    transform: translateY(0);
}

.social-icons1 {
    display: flex;
    gap: 15px;
}

.social-icons1 a {
    color: #fff;
    font-size: 18px;
    transition: color 0.3s;
}

.social-icons1 a:hover {
    color: #FF305B;
}


.sec2 h2{
    font-family: "Source Sans 3";
    font-size: 34px;
    font-weight: 600;
    position: relative;
    padding-left: 15px;
    margin-bottom: 1px;  
    color: #333333;  
}
.sec2 h2::before{
    position: absolute;
    content: "";
    bottom: 13px;
    left: 0;
    top: 13px;
    width: 4px;
    background-color: #FF305B;
}
.sec2 p{
    font-family: "Roboto";
    font-weight: 400;
    font-size: 16px;
    color: #656865;
    line-height: 25px;
    margin-top: 10px;
}

.section2-line{
    border-top: 1px dashed #929292;
    width: 650px;
    margin: 20px 0 0 0;
}

.info{
    list-style: none;
    font-size: 16px;
    font-family: "Roboto";
    font-weight: 400;
    color: #656865;
    line-height: 40px;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
}
.info .second-col{
    padding-left:80px ;
}
.info .point{
    color: #333333;
    font-weight: 500;
}
.buttons{
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
}

.buttons a{
    color: white;
    text-decoration: none;
    background-color: #FF305B;
    border-radius: 4px;
    padding: 13px 24px;
    transition: background-color 0.5s ;
}
.buttons a:hover{
    background-color: #EC2403;
}
.buttons .download-btn{
    margin-right: 15px;
}

@media screen and (max-width:576px){
    .section2{
        width: 100%;         
        height: auto;
        margin: 30px 0;
        padding: 0;
        max-height: 100svh;
        display: block; 
        justify-content: center;
        align-items: center;  
        text-align: center; 
        flex-direction: column;
    }

    .img-sec2{
        width: 100%;  
        height: 100%;
        margin: 0;
        padding: 0 5px;   
        justify-content: center;   
        align-items: center;
    }

    .img-sec2 img {
        width: 100%;     
        height: auto;
        object-fit: cover;
        border-radius: 20px;

    }
    .img-sec2 .overlay {
        bottom:0 ;
        left: 5px;
        width: 100%;
        height: auto;
        border-radius: 20px;
    }
    .social-icons1 a{
        font-size: 20px;
    }
    .frame{
        display: none;
    }
     .sec2 {
        width: 100%;
        max-width: 100%;          
        margin: 50px 0;           
        padding: 0 5vw;           
        display: flex;
        flex-direction: column;   
        align-items: start;      
        box-sizing: border-box;
    }

    .sec2 h2 {
        font-size: clamp(24px, 6vw, 34px);  
        margin: 0;
        padding: 4px 0 0 10px;
        font-weight: 600;
        color: #333;
        position: relative;
    }

    .sec2 h2::before {
        content: "";
        display: block;
        width: 1vw;                
        max-width: 60px;  
        height: 16px;
        margin: 0; 
    }

    .sec2 p {
        font-size: clamp(12px, 3.5vw, 16px); 
        line-height: 1.5;
        margin: 0 0 20px 0;
        color: #656865;   
        text-align:start;           
    }
    .sec2 p br.desktop-break{
        display: none;
    }
    .info {
        flex-direction: column;
    
    }
    .info .first-col,
    .info .second-col{
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: start;
        text-align: start;
    }
    .info .second-col{
        padding-left: 0;
    }
}

/* ------------------------------------------------------------------ */
.section3{
    height: 600px;
    background-color: #F1F1F1;
}
.begin3{
    font-family: "Source Sans 3";
    font-size: 27px;
    font-weight: 800;
    color: #333;
    display: flex;
    justify-content: center;
    position: relative;
    margin-bottom: 15px; 
    padding-top: 18px;
}

.begin3::after{
    content: "";
    position: absolute;
    bottom: 4px;
    left: 50%;
    transform: translateX(-50%);
    width: 160px;
    height: 1px;
    background-color: #FF305B;
}

.begin3::before{
    content: "";
    position: absolute;
    bottom: 8px;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 1px;
    background-color: #FF305B;
}

.begin3 span{
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 1px;
    background-color: #FF305B;
    background-color: #FF305B;
}
.service {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    text-align: center;
}

.item {
    width: 250px;
    padding: 50px 20px 10px;
    transition: all 0.3s ease;
}

.item:hover {
    background-color: #fff;
    box-shadow: 0 10px 25px rgba(0,0,0,0.1);
}

.item i {
    margin-bottom: 15px;
    transition: transform 0.3s;
}
.item:hover i{
    transform: scale(1.3); 
}

.service h3 {
    font-family: "Source Sans 3";
    font-size: 20px;
    font-weight: 600;
    color: #333333;
    margin: 10px 0;
}

.service p {
    color: #656865;
    line-height: 1.6;
    font-size: 16px;
}
@media screen and (max-width:576px) {
    .section3{
        width: 100%;         
        height: auto;
        margin: 700px 0 10px;
        padding: 0;
        max-height: 550svh;
        display: block; 
        justify-content: center;
        align-items: center;  
        text-align: center; 
        flex-direction: column;
    }
    .begin3{
        font-size: 25px;
    }
}
/* -------------------------------------------- */

.begin4{
    font-family: "Source Sans 3";
    font-size: 27px;
    font-weight: 800;
    color: #333;
    display: flex;
    justify-content: center;
    position: relative;
    margin-bottom: 15px; 
    padding-top: 18px;
}

.begin4::after{
    content: "";
    position: absolute;
    bottom: 4px;
    left: 50%;
    transform: translateX(-50%);
    width: 160px;
    height: 1px;
    background-color: #FF305B;
}

.begin4::before{
    content: "";
    position: absolute;
    bottom: 8px;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 1px;
    background-color: #FF305B;
}

.begin4 span{
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 1px;
    background-color: #FF305B;
    background-color: #FF305B;
}


.portfolio-menu {
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
}

.portfolio-menu button {
    background: #fff;
    padding: 10px 18px;
    border: none;
    cursor: pointer;
    color: #333333;
    font-family: "Roboto";
    font-size: 16px;
    font-weight: 400;
    transition: color 0.3s;
}

.portfolio-menu button:hover {
    color: #FF305B;
}
.portfolio-menu button.active{
    color: #FF305B;
}

.portfolio-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    padding-top: 0px;
}

.portfolio-item {
    position: relative;
    width: 370px; 
    overflow: hidden;
    cursor: pointer;
}

.portfolio-item img {
    width: 100%;
    display: block;
    transition: background 0.3s ease;
}


.portfolio-item .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.portfolio-item:hover .overlay {
    opacity: 1;
}
@media screen and (max-width:576px) {
    .section4{
        width: 100%;         
        height: auto;
        margin: 0 0;
        padding: 0;
        max-height: 500svh;
        display: block; 
        justify-content: center;
        align-items: center;  
        text-align: center; 
        flex-direction: column;
    }
    .begin4{
        font-size: 25px;
    }
    .portfolio-menu button{
        font-size: clamp(12px, 3.5vw, 16px);
        
    }
}
/* ------------------------------------------------------------ */
.section5{
    background-color: #F1F1F1;
    height: 300px;
    margin-top: 100px;
    
}
.facts{
    display: flex;
    justify-content: center;
    gap: 180px;
    padding-top: 100px;
    line-height: 10px;
    text-align: center;
}
.facts h3{
    font-family: "Source Sans 3";
    font-size: 26px;
    font-weight: 800;
    color:#333333;
}
.facts p{
    color: #656865;
}
@media screen and (max-width:576px) {
    .section5{
        width: 100%;         
        height: auto;
        margin: 50px 0;
        padding: 0;
        max-height: 400svh;
        display: block; 
        justify-content: center;
        align-items: center;  
        text-align: center; 
        flex-direction: column;
    }
    .facts{
        display: block;
        padding-top: 50px;
    }
    .facts .fact{
        padding-bottom: 30px;
    }    
}


/* -------------------------------------------------------------------------- */

.section6{
    margin-top: 120px;
    height: 570px;
    background-color: #ffffff;
}
.begin6{
    font-family: "Source Sans 3";
    font-size: 27px;
    font-weight: 800;
    color: #333;
    display: flex;
    justify-content: center;
    position: relative;
    margin-bottom: 15px; 
    padding-top: 18px;
}

.begin6::after{
    content: "";
    position: absolute;
    bottom: 6px;
    left: 50%;
    transform: translateX(-50%);
    width: 160px;
    height: 1px;
    background-color: #FF305B;
}

.begin6::before{
    content: "";
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 1px;
    background-color: #FF305B;
}

.begin6 span{
    position: absolute;
    bottom: 2px;
    left: 50%;
    transform: translateX(-50%);
    width: 80px;
    height: 1px;
    background-color: #FF305B;
}

.box{
    width: 750px;
    height: 270px;
    margin:0 auto;
    border-radius: 6px;
    position: relative;
    background-image: linear-gradient(135deg,#FF305B 0% 18%, #f1f1f1 18% 100%);
}
.box img{
    position: absolute;
    border-radius: 50%;
    width: 15%;
    height: auto;
    left: 40px;
    top: 55px;
}
.client-info{
    position: absolute;
    left: 170px;
    top: 25px;
    line-height: 5px;
}
.client-info h3{
    color: #333333;
    font-size: 26px;
    font-weight: 600;
    font-family: "Source Sans 3";
}
.client-info a{
    
    color: #777777;
    font-size: 15px;
    font-family: "Source Sans 3";
    font-weight: 600;
    text-decoration: none;
}
.client-info p{
    color: #555555;
    font-style: italic;
    line-height: 25px;
}
.rate{
    font-size: 14px;
    color: #F1C30D;
}


.slider{
    overflow: hidden;
    position: relative;
    margin: 0 auto;
    width: 750px;
}

.slides{
    display: flex;
    transition: transform 0.2s;
    width: 1500px;
}
.slider input[type="radio"]{
    display: none;
}
#slide1:checked ~ .slides{
    transform: translateX(0);
}
#slide2:checked ~ .slides{
    transform: translateX(-750px);
}
.dots{
    margin-top: 1rem;
    text-align: center;
    width: 750px;
    margin-left: auto;
    margin-right: auto;
}
.dots label{
    display: inline-block;
    width: 12px;
    height: 12px;
    margin: 0 5px;
    background-color: #ccc;
    border-radius: 50%;
    cursor: pointer;
    transition: background 0.1s;
}
#slide1:checked ~ .dots label[for="slide1"],
#slide2:checked ~ .dots label[for="slide2"]{
    background:  #FF305B;
}
/* -------------------------------------------- */
.section7{
    background-color: #F1F1F1;
    height: 770px;
}
.begin7{
    font-family: "Source Sans 3";
    font-size: 27px;
    font-weight: 800;
    color: #333333;
    display: flex;
    position: relative;
    justify-content: center;  
    padding-top: 85px;
    margin-bottom: 20px;  
}
.begin7::before,
.begin7::after,
.begin7 span {
    content: "";
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: #FF305B;
    left: 724px;  
}
.begin7::before {
    top: 125px;          
}

.begin7::after {
    top: 129px; 
    left: 680px; 
    width: 170px;        
}

.begin7 span {
    top: 133px;          
}
.blog {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
}

.blog-card {
    width: 350px;
    height: 430px;
    background: #fff;
    overflow: hidden;
    text-align: left;
    padding-bottom: 15px;
}

.blog-card img {
    width: 100%;
}
.blog-card .video a {
    display: block;
    width: 100%;
    height: 198px;          
    overflow: hidden;
     margin-bottom: 4px;
}

.blog-card .video a img {
    width: 100%;
    height: 100%;            
    object-fit: cover; 
        
}
.date {
    display: block;
    font-size: 16px;
    color: #555555;
    padding: 15px 15px 0px;
}

.blog-card h3 {
    padding: 0 15px;
    font-family: "Source Sans 3";
    font-size: 24px;
    font-weight: 600;
    margin-top: 7px;
    margin-bottom: 5px;
}

.blog-card h3 a {
    text-decoration: none;
    color: #333;
    transition: color 0.3s;
    
}

.blog-card h3 a:hover {
    color: #FF305B;
}

.blog-card p {
    color: #656865;
    padding: 0px 15px;
    line-height: 1.6;
    margin-top: 5px;
}

.read-more {
    padding: 0 15px;
    text-decoration: none;
    color: #333;
    font-size: 16px;
    transition: color 0.3s;
}

.read-more:hover {
    color: #FF305B;
}


/* ------------------------------------------------------ */
.section8{
    height: 630px;
}
.begin8{
    font-family: "Source Sans 3";
    font-size: 27px;
    font-weight: 800;
    color: #333333;
    display: flex;
    position: relative;
    justify-content: center;  
    padding-top: 75px;
    margin-bottom: 10px; 
}
.begin8::before,
.begin8::after,
.begin8 span {
    content: "";
    position: absolute;
    width: 75px;
    height: 1px;
    background-color: #FF305B;
    left: 724px;  
}
.begin8::before {
    top: 115px;          
}

.begin8::after {
    top: 119px; 
    left: 680px; 
    width: 170px;        
}

.begin8 span {
    top: 123px;          
}


.form {
    width: 50%;
    margin: 0 auto;
}

.form table {
    width: 100%;
}

td {
    padding: 5px 20px;
}

input, textarea {
    width: 100%;
    padding: 11px 10px;
    margin: 6px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
}

input::placeholder,
textarea::placeholder {
    color: #999999;
    font-family: "Roboto";
    font-size: 14px;
}

.btn {
    padding: 12px 20px;
    background-color: #FF305B;
    color: white;
    border: none;
    border-radius: 4px;
    font-size: 14px;
    font-family: "Roboto";
    cursor: pointer;
}
/* ------------------------------------------ */
.section9{
    height: 160px;
    background-color: #333333;
}
.rights{
    padding-top: 60px;
    color: white;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    line-height: 1px;
}
.rights .social a{
    padding: 0 8px;
    color: white;
    transition: color 0.3s;
}
.rights .social a:hover{
    color:#FF305B ;
}
.rights h5{
    margin-top: 10px;
    font-family: "Roboto";
    font-size: 16px;
    font-weight: 400;
}

.rights h5 a{
    color: #FF305B;
    text-decoration: none;
}
.rights h5 a:hover{
    text-decoration: underline;
}



